libzypp 17.37.10

librpmDb.h File Reference
`#include <iosfwd>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/target/rpm/RpmHeader.h>`
`#include <zypp/target/rpm/RpmException.h>`

Go to the source code of this file.

## Classes
struct | zypp::target::rpm::_dumpPath
class | zypp::target::rpm::librpmDb
| Manage access to librpm database. More...
class | zypp::target::rpm::librpmDb::db_const_iterator
| Subclass to retrieve rpm database content. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target
namespace | zypp::target::rpm

## Functions
std::ostream & | zypp::target::rpm::operator<< (std::ostream &str, const _dumpPath &obj)
_dumpPath | zypp::target::rpm::dumpPath (const Pathname &root_r, const Pathname &sub_r)
| dumpPath iomaip to dump '(root_r)sub_r' output,